<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* signin.html.twig */
class __TwigTemplate_f3fb3bd89b84ec5439a034a1b7acb44e extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 1
        yield "<!DOCTYPE html>
<html lang=\"fr\">
<head>
    <meta charset=\"UTF-8\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">
    <link rel=\"stylesheet\" type=\"text/css\" href=\"../public/styles/styleSignin.css\" media=\"screen\">
    <title>Wiki Fantasy : Inscription</title>
    <link id=\"favicon\" rel=\"icon\" href=\"../images/iconeSombre.ico\"> <!-- Par défaut sombre -->
    <link href=\"https://fonts.googleapis.com/css2?family=Lemon&display=swap\" rel=\"stylesheet\">
    <script defer src=\"../public/script/theme-toggle.js\"></script>
</head>
<body>
    <div class=\"container\">
        <div class=\"header\">
            <div class=\"nav\">
                <a href=\"favorite.html\"><img src=\"../images/coeur.svg\" alt=\"coeur\" width=\"67px\" height=\"67px\" onmousedown=\"return false\"></a>
                <img id=\"theme-icon\" src=\"../images/light.svg\" alt=\"toggle theme\" width=\"72px\" height=\"37px\" onmousedown=\"return false\" onclick=\"toggleTheme()\">
                <a href=\"quiz.html\"><img src=\"../images/quizz.svg\" alt=\"quizz\" width=\"51px\" height=\"82px\" onmousedown=\"return false\"></a>
            </div>
            <div class=\"logo\">
                <a href=\"accueil.html\"><img src=\"../images/WIKIFANTASY.png\" alt=\"Logo\" width=\"227px\" height=\"106px\" onmousedown=\"return false\"></a>
            </div>
            <div class=\"user\">
                <img src=\"../images/user_dark.png\" alt=\"user\" width=\"70px\" height=\"70px\" onmousedown=\"return false\">
            </div>
        </div>
    </div>
    <h1>▶ S'inscrire ◀</h1>
    <form method=\"post\">
    <div class=\"signin\">
        <div class=\"DivId\">
            <p>Identifiant *</p>
            <input type=\"text\" class=\"champ\" id=\"pseudo\" name=\"pseudo\" required/>
        </div>

        <div class=\"DivEmail\">
            <p>Email *</p>
            <input type=\"email\" class=\"champ\" id=\"email\" name=\"email\" required/>
        </div>

        <div class=\"mdp\">
            <p>Mot de passe *</p>
            <input type=\"password\" class=\"champ\" id=\"mdp\" name=\"mdp\" required/>
        </div>

        <div class=\"confmdp\">
            <p>Confirmer mot de passe *</p>
            <input type=\"password\" class=\"champ\" id=\"cmdp\" name=\"cmdp\" required/>
        </div>

        <div class=\"imgprof\">
            <p>Image *</p>

        </div>

        <div class=\"confirmer\">
            <input type=\"submit\" class=\"btn\" value=\"Inscription\" />
        </div>
    </div>
    </form>
</body>
</html>";
        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "signin.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  42 => 1,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "signin.html.twig", "/Users/kiem/Documents/WikiFantasy/WF-Website/vue/templates/signin.html.twig");
    }
}
