<?php
global $twig;

echo $twig->render('head.html.twig', [
    'title' => "Favoris",
    'style' => "public/styles/styleAccueil.css",
    'scripts' => array("public/script/theme-toggle.js")
]);

echo $twig->render('bandeau.html.twig');

if (!empty($favorites)) {
    echo "<h2>Vos favoris</h2>";
    echo "<div class='suggestions-container'>";
    foreach ($favorites as $favorite) {
        echo $twig->render('suggestion.html.twig', [
            'quote' => $favorite['content'],
            'movie' => $favorite['title'],
            'character' => $favorite['caracter'],
            'year' => $favorite['dates'],
            'imagePath' => $favorite['imgpath']
        ]);
    }
    echo "</div>";
} else {
    echo "<p>Vous n'avez pas encore de favorits</p>";
}
?>
